<?php 

/**
 * This class is used for management of the homepage bricks that are available to users.
 * New bricks can be added and existing ones removed.
 */

class homepagebrick {
	
	private static $adminSelect='SELECT SQL_CALC_FOUND_ROWS * FROM homepagebrick WHERE 1=1 ';
	private static $normalSelect='SELECT SQL_CALC_FOUND_ROWS * FROM homepagebrick WHERE adminonly=false ';
	private static function getSelect(){
		if(session::isAdmin()){ return static::$adminSelect; }
		return static::$normalSelect;
	}
	
	public static function getById($id){
		$sqlStatement=static::getSelect().' AND id=:id';
		$parameters=array(':id'=>$id);
		$result=database::queryGetOne($sqlStatement, $parameters);
// 			$result['rowtemplates']=static::explodeStringToArray($result['rowtemplates']);
// 			$result['headertemplates']=static::explodeStringToArray($result['headertemplates']);
		return $result;
	}
	public static function getByName($name){
		throw new BadRequestException('homepagebrick::getByName not implemented');
	}
	public static function getByProperty($name,$value,$request=array()){
		throw new BadRequestException('homepagebrick::getByProperty not implemented');
	}
	public static function getAll($request=array()){
		$sqlStatement=static::getSelect();
		$parameters=array();
		$result=database::queryGetAll($sqlStatement, $parameters);
		foreach($result['rows'] as &$row){
			$row['rowtemplates']=static::explodeStringToArray($row['rowtemplates']);
			$row['headertemplates']=static::explodeStringToArray($row['headertemplates']);
		}
		return $result;
	}
	
	public static function update($id,$request=array()){
		throw new BadRequestException('homepagebrick::update not implemented');
	}
	
	private static function explodeStringToArray($str){
		$str=trim($str,"'[]");
		$str=explode("','",$str);
		return $str;
	}
	
	
}
?>