<?php
interface crudable {

	public static function getFieldValidations();
	
	public static function getFieldHelpTexts();
	
	public static function getById($id);
	
	public static function getByName($name);
	
	public static function getByProperty($key,$value,$request=array());
	
	public static function getAll($request=array());
	
	public static function create($request=array());
	
	public static function update($id, $request=array());
	
	public static function delete($id);
	
	public static function canCreate();
	
	public static function canUpdate($id);
	
}
?>