<?php $pageTitle='Create a plate';
include realpath(__DIR__).'/../../core/_common/header.php'; ?>
<script type="text/javascript">
document.observe("dom:loaded",function(){

	ui.grid();

	grid.box({ 
		classes:'r1 c2 h3 w2',
		title:'Plates',
		content:'Usually plates will be imported from the imager, so there will be no need to do this.'
	});

	var detailsBox=grid.box({ 
		classes:'r1 c1 h3 w1',
		title:'Details'
	});

	var frm=detailsBox.form({
		action:'/api/plate/',
		method:'post',
	});
	frm.hiddenField("ownerid",userId);
	frm.textField({ label:"Barcode", name:'name', value:'' });
	frm.roleField({ 
		label:"Plate type", 
		name:'platetypeid', 
// 		otherId:userId, 
// 		otherName:currentUser.fullname, 
		otherType:'platetype',
		labelField:'name',
		headers:['Name', 'Geometry'],
		cellTemplates:['{{name}}','{{rows}}x{{cols}}, {{subs}}-drop']
	});
	frm.roleField({ 
		label:"Project", 
		name:'projectid', 
// 		otherId:userId, 
// 		otherName:currentUser.fullname, 
		otherType:'project',
		labelField:'name',
		headers:['Name'],
		cellTemplates:['{{name}}']
	});
	frm.createButton();
});


</script>
<?php 
include realpath(__DIR__).'/../../core/_common/footer.php';
?>